Page MenuHomePhabricator

[test-suite] Remove GCC-C-execute-eeprof-1
ClosedPublic

Authored by zatrazz on Feb 11 2021, 9:19 AM.

Details

Summary

Clang at O0 does enable -finstrument-functions with -O0 [1], so the
test fail with some configurations.

[1] https://bugs.llvm.org/show_bug.cgi?id=49143

Diff Detail

Repository
rT test-suite

Event Timeline

zatrazz created this revision.Feb 11 2021, 9:19 AM
zatrazz requested review of this revision.Feb 11 2021, 9:19 AM
lenary accepted this revision.Feb 13 2021, 5:40 AM

I did a quick look for what had caused this, and it seems it's related to the switch to the new pass manager, and a commit that was marked NFC and wasn't. I've asked the relevant part of the commit to be reverted.

I'd be happy to land this in the short term, as long as it is reverted when the relevant bug is fixed. Can you just clarify the comment as suggested before you land it?

SingleSource/Regression/C/gcc-c-torture/execute/CMakeLists.txt
143
This revision is now accepted and ready to land.Feb 13 2021, 5:40 AM
zatrazz added inline comments.Feb 15 2021, 4:18 AM
SingleSource/Regression/C/gcc-c-torture/execute/CMakeLists.txt
143

Ack. I will fix it.

This revision was automatically updated to reflect the committed changes.